<vn>
<vn-group>
	<vn-lot-query id="params">
		<vn-spec name="address" type="Number"/>
	</vn-lot-query>
	<db-form id="iter" on-status-changed="this.onStatusChange()">
		<db-model
		 	id="model"
			property="model"
			updatable="true"
			mode="ON_DEMAND"
			lot="params"
			on-operations-done="this.onOperationsDone()">
			SELECT a.id, a.street, a.nickname, a.city,
					a.postalCode, a.provinceFk, p.countryFk
				FROM myAddress a
					LEFT JOIN vn.province p ON p.id = a.provinceFk
				WHERE a.id = #address
		</db-model>
	</db-form>
</vn-group>
<div id="title">
	<h1><t>Configuration</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="close"
		tip="_Return"
		on-click="window.history.back()"/>
	<htk-bar-button
		icon="check"
		tip="_Accept"
		on-click="iter.performOperations()"/>
</div>
<div id="form" class="hedera-address">
	<div class="form box vn-w-sm vn-pa-lg">
		<h5 class="vn-mb-md">
			<t>AddEditAddress</t>
		</h5>
		<div class="form-group">
			<htk-entry
				placeholder="_Name"
				form="iter" column="nickname"/>
		</div>
		<div class="form-group">
			<htk-entry
				placeholder="_Address"
				form="iter" column="street"/>
		</div>
		<div class="form-group">
			<htk-entry
				placeholder="_City"
				form="iter" column="city"/>
		</div>
		<div class="form-group">
			<htk-entry
				placeholder="_ZipCode"
				form="iter" column="postalCode"/>
		</div>
		<div class="form-group">
			<htk-combo
				placeholder="_Country"
				form="iter" column="countryFk"
				id="country"
				one-way="true"
				one-time="true">
				<db-model property="model">
					SELECT id, country FROM vn.country
						ORDER BY country
				</db-model>
			</htk-combo>
		</div>
		<div class="form-group">
			<htk-combo
				placeholder="_Province"
				column="provinceFk"
				form="iter">
				<db-model property="model" lot="country">
					SELECT id, name FROM vn.province
						WHERE countryFk = #id
						ORDER BY name
				</db-model>
			</htk-combo>
		</div>
	</div>
</div>
</vn>
